import App from './App'
import store from 'store/index.js'

// main.js
import uView from '@/uni_modules/uview-ui'
Vue.use(uView)

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
    ...App,
	store
})
app.$mount()
// #endif


import http from './api/httpRequest.js' 
Vue.prototype.$api = http;

import util from './common/tool/util.js' 
Vue.prototype.$util = util;


Vue.prototype.$store = store

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app,store
  }
}
// #endif